/*
* complex.c
*
* Program z liczbami zespolonymi. 
*/

#include <stdio.h>

struct complex_struct {
	double re;
	double im;
};
typedef struct complex_struct Complex; /* wygodniejsza nazwa typu */
/* wg konwencji K i R piszemy z dużej litery */

Complex dodaj(Complex a, Complex b);
Complex pomnoz(Complex a, Complex b);

int main(void) 
{
Complex z1= { 3.4, 1.2};
Complex z2= { 5.1, 5.5};
Complex suma, iloczyn;

suma= dodaj(z1,z2);
iloczyn= pomnoz(z1,z2);


printf("(%f,%f) + (%f,%f) = (%f,%f)\n",
z1.re,z1.im,z2.re,z2.im,suma.re,suma.im);

printf("(%f,%f) * (%f,%f) = (%f,%f)\n",
z1.re,z1.im,z2.re,z2.im,iloczyn.re,iloczyn.im);

return 0;
}

Complex dodaj(Complex a, Complex b) 
{ /* przekazywanie przez wartosc */
Complex s;

s.re= a.re + b.re;
s.im= a.im + b.im;
return s;          /* przekazywanie calej struktury */
}

Complex pomnoz(Complex a, Complex b) 
{ /* przekazywanie przez wartosc */
Complex m;

m.re= a.re * b.re - a.im * b.im;
m.im= a.re * b.im + a.im * b.re;
return m;          /* przekazywanie calej struktury */
}
