/*
* ipower.c
*
* Program z potegowaniem w liczbach calkowitych (i jak int). Autor: Andrzej Kapanowski. Komentarze: czesciowo Kuba J.
*/

#include <stdio.h> 

/* nie umieściliśmy tu biblioteki matematycznej  <math.h>. Nie musimy wiec kompilowac z opcja -lm */

int ipower(int x, int n);      /* x^n, deklaracja funkcji ipower. 
                              Wywolywane bedzie z dwoma parametrami typu integer, czyli calkowitego
				zwraca liczbe takze typu calkowiego */
 
 
int main(void) 
{
int i;

for (i= 0; i < 10; ++i)
	printf("%d %d %d\n",i,ipower(2,i),ipower(-3,i)); /* Wywolujemy funkcje ipower z dwoma parametrami*/
return 0;
}  /*koniec funkcji main*/

int ipower(int x, int n)  /* x^n, definicja funkcji ipower*/
{  
int p; /* lokalna zmienna w funkcji ipower*/ 

/* n jest zmienna lokalna w funkcji ipower() - mozna z niej korzystac */
for (p= 1; n > 0; --n)   	/*   Uwaga! to jest to samo co n = n - 1;   */
 	p*= x;			/*   Uwaga! to jest to samo co p = p * x;   */
	

return p;
}
