/*
* ipower.c
*
* Program z potegowaniem w liczbach calkowitych. Autor: Andrzej Kapanowski. Komentarze: czesciowo Kuba J.
*/

#include <stdio.h> 

/* nie umieściliśmy tu biblioteki matematycznej  <math.h>. Nie musimy wiec kompilowac z opcja -lm */

int ipower(int x, int n);      /* x^n, deklaracja funkcji ipower. 
                              Wywolywane bedzie z dwoma parametrami typu integer, czyli calkowitego
				zwraca liczbe takze typu calkowiego */

int main(void) 
{
int i;

int p = 13;

printf("Wartosc zmiennej p z funkcji main wynosi %d\n", p);

for (i= 0; i < 10; ++i)
	printf("%d %d %d\n",i,ipower(2,i),ipower(-3,i)); /* Wywolujemy funkcje z dwoma parametrami*/
return 0;
}  /*koniec funkcji main*/

int ipower(int x, int n)  /* x^n, definicja funkcji */
{  
int p; /* lokalna zmienna w funkcji ipower*/ 

/* n jest zmienna lokalna w funkcji ipower() - mozna z niej korzystac */
for (p= 1; n > 0; --n)
 	p*= x;

	/*   Uwaga! to jest to samo co p = p * x;   */
return p;
}
